# Item Property

<xml> </xml>

Better ListView Class Reference |

# HashList`2.Item Property

Gets or sets the element with the specified key.

public TValue this[
TKey key
] { public get; public set; }

#### Implements

IDictionary<TKey, TValue>.Item

#### Exceptions

Exception Type | Condition
--- | ---
NotSupportedException | The property is set and the IDictionary`2 is read-only.
ArgumentNullException | key is null.
KeyNotFoundException | The property is retrieved and key is not found.

#### See Also

HashList<TKey, TValue> Class | ComponentOwl.BetterListView.Collections Namespace